/*
 * manyDI.c - bash test the debugger with 10,000 DI statements.
 * 
 * Note: gdb-4.14 seemed to have problems with this test, 4.16 is ok.
 *
 * Copyright (c) 1997 Phil Maker
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: manyDI.c,v 1.2 1998/07/03 03:25:32 pjm Exp $
 */

#include <stdio.h>

#define DI_DEFAULT_HANDLER(e,f,l,p) \
  @@call printf("fail")@@ \
  @@cont@@

#include "check.h"
#include "DI.h"

volatile int i = 0;

int main() {
  /* You can't use a macro for this unfortunately since we need */
  /* each DI(..) statement on its own line */
  /* (Oh well, I suppose this file will have a good compression ratio) */
  
  /* Also note that we can use the patch in ../gdb to remove all */
  /* those annoying breakpoint set messages */
  

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));
  CHECKEMPTY(DI(10 >i));

  return 0;
}
